classification
Title: Deprecate the symbol module
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, lukasz.langa, miss-islington, pablogsal, terry.reedy
Priority: normal Keywords: patch

Created on 2020-05-24 20:51 by BTaskaya, last changed 2020-06-01 04:02 by BTaskaya. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20364 merged BTaskaya, 2020-05-24 20:54
PR 20557 merged miss-islington, 2020-05-31 22:02
Messages (4)
msg369826 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-05-24 20:51
Parser is deprecated so there is no need for the 'symbol' module. I think this should be backported to 3.9, so I'm CC-ing @Ɓukasz.
msg370345 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-30 01:07
If PEG does not use this file, then not deprecating it along with parser in 3.9 could be considered a bug.
msg370513 - (view) Author: miss-islington (miss-islington) Date: 2020-05-31 22:01
New changeset cf88871d6a9c12e7b7e5f4d65abc2ec6e2fe952e by Batuhan Taskaya in branch 'master':
bpo-40759: Deprecate the symbol module (GH-20364)
https://github.com/python/cpython/commit/cf88871d6a9c12e7b7e5f4d65abc2ec6e2fe952e
msg370518 - (view) Author: miss-islington (miss-islington) Date: 2020-05-31 22:23
New changeset 96d91071c0279fe3b10f97b581970a85ccba9ebe by Miss Islington (bot) in branch '3.9':
bpo-40759: Deprecate the symbol module (GH-20364)
https://github.com/python/cpython/commit/96d91071c0279fe3b10f97b581970a85ccba9ebe
History
Date User Action Args
2020-06-01 04:02:10BTaskayasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-05-31 22:23:32miss-islingtonsetmessages: + msg370518
2020-05-31 22:02:21miss-islingtonsetpull_requests: + pull_request19800
2020-05-31 22:01:57miss-islingtonsetnosy: + miss-islington
messages: + msg370513
2020-05-30 10:35:56BTaskayasetnosy: + pablogsal
2020-05-30 01:07:11terry.reedysetnosy: + terry.reedy
messages: + msg370345
2020-05-24 20:54:06BTaskayasetkeywords: + patch
stage: patch review
pull_requests: + pull_request19628
2020-05-24 20:51:46BTaskayacreate